---
title: TreeWalker.parentNode()
slug: Web/API/TreeWalker/parentNode
tags:
  - API
  - DOM
  - DOM Reference
  - Method
  - TreeWalker
---
<p>{{ APIRef("DOM") }}</p>

<p>The <strong><code>TreeWalker.parentNode()</code></strong> method moves the current {{domxref("Node")}} to the first <em>visible</em> ancestor node in the document order, and returns the found node. If no such node exists, or if it is above the <code>TreeWalker</code>'s <em>root</em><em> node</em>, returns <code>null</code> and the current node is not changed.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>node</em> = <em>treeWalker</em>.parentNode();
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var treeWalker = document.createTreeWalker(
    document.body,
    NodeFilter.SHOW_ELEMENT,
    { acceptNode: function(node) { return NodeFilter.FILTER_ACCEPT; } },
    false
);
var node = treeWalker.parentNode(); // returns null as there is no parent

</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-treewalker-parentnode', 'TreeWalker.parentNode')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>No change from {{SpecName('DOM2 Traversal_Range')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Traversal_Range', 'traversal.html#Traversal-TreeWalker-parentNode', 'TreeWalker.parentNode')}}</td>
   <td>{{Spec2('DOM2 Traversal_Range')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TreeWalker.parentNode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("TreeWalker")}} interface it belongs to.</li>
</ul>
